Bug 1009980 - Glusterd won't start on Fedora19
Glusterd won't start on Fedora19
Status: CLOSED NOTABUG
Product: GlusterFS
Classification: Community
Component: glusterd (Show other bugs)
pre-release
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: bugs@gluster.org
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-19 11:58 EDT by Erin Boyd
Modified: 2015-06-02 01:26 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-06-02 01:26:53 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Comment (196.29 KB, text/plain)
2013-09-20 14:09 EDT, Erin Boyd
no flags Details

  None (edit)
Description Erin Boyd 2013-09-19 11:58:25 EDT
Description of problem:
Gluster had to be manually started via /usr/sbin on f19

Version-Release number of selected component (if applicable):


How reproducible:
Consistently fails

Steps to Reproduce:
On clean VM
 yum install glusterfs glusterfs-server glusterfs-fuse
 service start glusterd 
 systemctl status glusterd.service

 cd /usr/sbin

./glusterd


Actual results:


Expected results:


Additional info:
Comment 1 Matthew Farrellee 2013-09-19 12:06:18 EDT
Use 'service glusterd start' or 'systemctl start glusterd'
Comment 2 Niels de Vos 2013-09-19 13:24:37 EDT
I guess you mean:
> Use 'service glusterd start' or 'systemctl start glusterd.service'

Erin, could you let us know if that works for you?
Comment 3 Erin Boyd 2013-09-19 15:04:40 EDT
Neither works.
However if you don't run those you don't even get the glusterd process in /usr/sbin to start.
ONce you run those you can start gluster manully in /usr/sbin

[root@jon-1 ~]# systemctl start glusterd.service
Job for glusterd.service failed. See 'systemctl status glusterd.service' and 'journalctl -xn' for details.
[root@jon-1 ~]# systemctl status glusterd.service
glusterd.service - GlusterFS an clustered file-system server
   Loaded: loaded (/usr/lib/systemd/system/glusterd.service; enabled)
   Active: failed (Result: exit-code) since Mon 2013-09-09 17:13:36 CDT; 21s ago
  Process: 8783 ExecStart=/usr/sbin/glusterd -p /run/glusterd.pid (code=exited, status=1/FAILURE)

Sep 09 17:13:36 jon-1 systemd[1]: glusterd.service: control process exited, code=ex
ited status=1
Sep 09 17:13:36 jon-1 systemd[1]: Failed to start GlusterFS an clustered file-system server.
Sep 09 17:13:36 jon-1 systemd[1]: Unit glusterd.service entered failed state.
[root@jon-1 ~]# chkconfig glusterd on
Note: Forwarding request to 'systemctl enable glusterd.service'.
[root@jon-1 ~]# service glusterd start
Redirecting to /bin/systemctl start  glusterd.service
Job for glusterd.service failed. See 'systemctl status glusterd.service' and 'journalctl -xn' for details.
Comment 4 Vijay Bellur 2013-09-20 03:34:41 EDT
Can you please attach glusterd's log file to this bug report?
Comment 5 Niels de Vos 2013-09-20 04:49:03 EDT
I've installed a fresh Fedora 19 x86_64 without updates, and it works for me.
Please provide the /var/log/glusterfs/etc-glusterfs-glusterd.vol.log and the
exact versions of the packages that you have installed.

# yum -y install glusterfs-server 
# systemctl status glusterd.service
glusterd.service - GlusterFS an clustered file-system server
   Loaded: loaded (/usr/lib/systemd/system/glusterd.service; enabled)
   Active: inactive (dead)

# systemctl start glusterd.service
# systemctl status glusterd.service
glusterd.service - GlusterFS an clustered file-system server
   Loaded: loaded (/usr/lib/systemd/system/glusterd.service; enabled)
   Active: active (running) since Fri 2013-09-20 04:44:40 EDT; 2s ago
  Process: 1281 ExecStart=/usr/sbin/glusterd -p /run/glusterd.pid (code=exited, status=0/SUCCESS)
 Main PID: 1282 (glusterd)
   CGroup: name=systemd:/system/glusterd.service
           └─1282 /usr/sbin/glusterd -p /run/glusterd.pid

Sep 20 04:44:40 <hostname> systemd[1]: Started GlusterFS an clustered file-system server.

# rpm -qa 'glusterfs*'
glusterfs-3.4.0-8.fc19.x86_64
glusterfs-server-3.4.0-8.fc19.x86_64
glusterfs-libs-3.4.0-8.fc19.x86_64
glusterfs-cli-3.4.0-8.fc19.x86_64
glusterfs-fuse-3.4.0-8.fc19.x86_64
Comment 6 Erin Boyd 2013-09-20 14:09:58 EDT
Created attachment 915770 [details]
Comment

(This comment was longer than 65,535 characters and has been moved to an attachment by Red Hat Bugzilla).

Note You need to log in before you can comment on or make changes to this bug.